GET Api/TouchPoint/GetTouchPointHistory?fromDate={fromDate}&toDate={toDate}
This endpoint is used to return the touchpoint history for a given date range.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| fromDate |
The from/start date. |
date |
Required |
| toDate |
The to/end date. |
date |
Required |
Body Parameters
None.
Response Information
Resource Description
Returns a <see cref="T:TPC.Core.BusinessEntities.Reporting.Collections.TouchPointHistoryCollection" /> containing participants and the matching CM details.
Collection of TouchPointHistory| Name | Description | Type | Additional information |
|---|---|---|---|
| schedule_id |
Gets or sets the schedule ID (unique ID of the TouchPoint instance). |
integer |
None. |
| touch_point_name |
Gets or sets the name of the TouchPoint. |
string |
None. |
| scheduled_date |
Gets or sets the scheduled date of the TouchPoint instance. |
date |
None. |
| touch_point_type |
Gets or sets the type of the TouchPoint (e.g., "Video Conference", "SMS/Text", "IVR Outbound Call", etc.). |
string |
None. |
| first_name |
Gets or sets the first name of the participant for the TouchPoint. |
string |
None. |
| middle_name |
Gets or sets the middle name of the participant for the TouchPoint. |
string |
None. |
| last_name |
Gets or sets the last name of the participant for the TouchPoint. |
string |
None. |
| alert_id |
Gets or sets the alert ID (unique ID of the participant as assigned by TouchPointCare). |
integer |
None. |
| provider_id |
Gets or sets the provider ID (unique ID of the participant as assigned by the provider). |
string |
None. |
| total_time_in_seconds |
Gets or sets the total time (in seconds) spent on the TouchPoint (e.g., duration of a video conference call). |
integer |
None. |
| initiator_name |
Gets or sets the initiator of a video conference call. Will be null/blank for other types of TouchPoints. |
string |
None. |
Response Formats
application/json, text/json, application/xml, text/xml
Sample not available.